## org.opennms.netmgt.snmp.snmp4j
Class Snmp4JAgentConfig

    java.lang.Object
      org.opennms.netmgt.snmp.snmp4j.Snmp4JAgentConfig

    public class Snmp4JAgentConfig

extends java.lang.Object

Constructor Summary
`Snmp4JAgentConfig(org.opennms.netmgt.snmp.SnmpAgentConfig config)`

Method Summary
`org.snmp4j.PDU` `createPdu(int type)` Creates an SNMP4J PDU based on the SNMP4J version constants.
`org.snmp4j.Snmp` `createSnmpSession()`
`org.snmp4j.smi.OctetString` `getAuthPassPhrase()`
`org.snmp4j.smi.OID` `getAuthProtocol()`
`java.net.InetAddress` `getInetAddress()`
`int` `getMaxRepetitions()`
`int` `getMaxRequestSize()`
`int` `getMaxVarsPerPdu()`
`int` `getPort()`
`org.snmp4j.smi.OctetString` `getPrivPassPhrase()`
`org.snmp4j.smi.OID` `getPrivProtocol()`
`int` `getRetries()`
`int` `getSecurityLevel()`
`org.snmp4j.smi.OctetString` `getSecurityName()`
`protected org.snmp4j.Target` `getTarget()`
`int` `getTimeout()`
`int` `getVersion()`
`java.lang.String` `getVersionString()` Returns a string representation of the SNMP4J version constant
`java.lang.String` `getWriteCommunity()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Snmp4JAgentConfig

    public Snmp4JAgentConfig(org.opennms.netmgt.snmp.SnmpAgentConfig config)

Method Detail

### getInetAddress

    public java.net.InetAddress getInetAddress()

### getAuthPassPhrase

    public org.snmp4j.smi.OctetString getAuthPassPhrase()

### getAuthProtocol

    public org.snmp4j.smi.OID getAuthProtocol()

### getMaxRequestSize

    public int getMaxRequestSize()

### getMaxVarsPerPdu

    public int getMaxVarsPerPdu()

### getMaxRepetitions

    public int getMaxRepetitions()

### getPort

    public int getPort()

### getRetries

    public int getRetries()

### getSecurityLevel

    public int getSecurityLevel()

### getSecurityName

    public org.snmp4j.smi.OctetString getSecurityName()

### getTimeout

    public int getTimeout()

### getVersion

    public int getVersion()

### getVersionString

    public java.lang.String getVersionString()

  Returns a string representation of the SNMP4J version constant

  Parameters:
    `version` -
  Returns:

### getWriteCommunity

    public java.lang.String getWriteCommunity()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getTarget

    protected org.snmp4j.Target getTarget()

### getPrivProtocol

    public org.snmp4j.smi.OID getPrivProtocol()

### getPrivPassPhrase

    public org.snmp4j.smi.OctetString getPrivPassPhrase()

### createSnmpSession

    public org.snmp4j.Snmp createSnmpSession()
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### createPdu

    public org.snmp4j.PDU createPdu(int type)

  Creates an SNMP4J PDU based on the SNMP4J version constants. A v3 request requires a ScopedPDU.

  Parameters:
    `type` -
  Returns:

Copyright © 2010. All Rights Reserved.